<?xml version="1.0" encoding="UTF-8"?>
<Flow xmlns="http://soap.sforce.com/2006/04/metadata">
    <interviewLabel>Quick Account {!$Flow.CurrentDateTime}</interviewLabel>
    <label>Quick Account</label>
    <processType>Flow</processType>
    <recordCreates>
        <name>Create_Account</name>
        <label>Create Account</label>
        <locationX>285</locationX>
        <locationY>90</locationY>
        <assignRecordIdToReference>accountId</assignRecordIdToReference>
        <connector>
            <targetReference>Upload_Files</targetReference>
        </connector>
        <inputAssignments>
            <field>Name</field>
            <value>
                <elementReference>Account_Name</elementReference>
            </value>
        </inputAssignments>
        <inputAssignments>
            <field>Phone</field>
            <value>
                <elementReference>Phone</elementReference>
            </value>
        </inputAssignments>
        <object>Account</object>
    </recordCreates>
    <screens>
        <name>New_Account</name>
        <label>New Account</label>
        <locationX>70</locationX>
        <locationY>86</locationY>
        <allowBack>true</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <connector>
            <targetReference>Create_Account</targetReference>
        </connector>
        <fields>
            <name>Account_Name</name>
            <dataType>String</dataType>
            <fieldText>Account Name</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>false</isRequired>
        </fields>
        <fields>
            <name>Phone</name>
            <dataType>Number</dataType>
            <fieldText>Phone</fieldText>
            <fieldType>InputField</fieldType>
            <isRequired>false</isRequired>
            <scale>0</scale>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <screens>
        <name>Upload_Files</name>
        <label>Upload Files</label>
        <locationX>555</locationX>
        <locationY>89</locationY>
        <allowBack>false</allowBack>
        <allowFinish>true</allowFinish>
        <allowPause>true</allowPause>
        <fields>
            <name>accountFiles</name>
            <extensionName>forceContent:fileUpload</extensionName>
            <fieldType>ComponentInstance</fieldType>
            <inputParameters>
                <name>label</name>
                <value>
                    <stringValue>Upload Related Files</stringValue>
                </value>
            </inputParameters>
            <inputParameters>
                <name>recordId</name>
                <value>
                    <elementReference>accountId</elementReference>
                </value>
            </inputParameters>
            <inputParameters>
                <name>multiple</name>
                <value>
                    <booleanValue>true</booleanValue>
                </value>
            </inputParameters>
            <isRequired>true</isRequired>
        </fields>
        <showFooter>true</showFooter>
        <showHeader>true</showHeader>
    </screens>
    <startElementReference>New_Account</startElementReference>
    <status>Obsolete</status>
    <variables>
        <name>accountId</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>false</isOutput>
    </variables>
</Flow>
